Download it now!
Bug 66412 - Exported PDF is not added to ~/.local/share/recently-used.xbel
Summary: Exported PDF is not added to ~/.local/share/recently-used.xbel
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
4.0.4.2 release
Hardware: All Linux (All)
: low minor
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords: filter:pdf, needsDevEval
: 95456 (view as bug list)
Depends on:
Blocks: PDF-Export
  Show dependency treegraph
 
Reported: 2013-06-30 19:29 UTC by Carl Haynes
Modified: 2018-03-10 03:45 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Carl Haynes 2013-06-30 19:29:29 UTC
Problem description: 
Exported PDF is not added to ~/.local/share/recently-used.xbel. Thus the exported PDF does not appear in "Recently used" of many file managers such as Nautilus.

Steps to reproduce:
1. Export a document to PDF
2. Open file manager and go to "Recent places"
3. The PDF will not show up there

Current behavior:
The PDF will not show up there
Expected behavior:
The PDF should show up there
Operating System: Linux (Other)
Version: 4.0.4.2 release
Comment 1 Joel Madero 2014-06-25 04:01:21 UTC
Nautilus no longer has "recently used" from what I can see:


Ubuntu 14.04 x64
Nautilus version: 3.10.1

Is there another browser where we can see this behavior? Marking as NEEDINFO - if you can give another browser that has recently used that we can see this behavior please mark the bug as UNCONFIRMED after telling us the browser

+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + 
LibreOffice is powered by a team of volunteers, every bug is confirmed (triaged) by human beings who mostly give their time for free. We invite you to join our triaging by checking out this link:
https://wiki.documentfoundation.org/QA/BugTriage

There are also other ways to get involved including with marketing, UX, documentation, and of course developing -  http://www.libreoffice.org/get-help/mailing-lists/. 

Lastly, good bug reports help tremendously in making the process go smoother, please always provide reproducible steps (even if it seems easy) and attach any and all relevant material
Comment 2 QA Administrators 2015-01-10 18:06:01 UTC Comment hidden (obsolete)
Comment 3 klemens 2015-01-18 18:28:51 UTC
Hi,

I can confirm this annoying problem using Nautilus (which still has a recent files feature at least in Ubuntu) and also the file open dialogue.

It would be very handy if this issue could be resolved soon.
Thanks!

Here is my original posting:
http://ubuntuforums.org/showthread.php?t=2261336

Ubuntu 14.04 LTS 6t
Version: 4.2.7.2
Comment 4 klemens 2015-01-18 18:30:06 UTC
It should read Ubuntu 14.04 LTS 64bit
Libre Office Version: 4.2.7.2
Comment 5 klemens 2015-01-20 07:17:03 UTC
Addidtional information from mc4man/ubuntuforums.org:

The sole determining factor here (ubuntu 14.04) is whether when exporting a pdf in LO I explicitly add a .pdf extension or not
When adding .pdf to the file name it's immediately shown in 'Recent'. If I don't, just use a filename, then it's not. (LO adds the ext but that doesn't matter in this regard 

I can confirm this behaviour.


Reference: http://ubuntuforums.org/showthread.php?t=2261336&p=13210398#post13210398
Comment 6 mc631man 2015-01-21 01:09:58 UTC
This would affect all exported files, not just pdf. To get written to recently-used.xbel then the ext must be added to filename by the user, not LO.
Comment 7 Buovjaga 2015-11-09 10:55:09 UTC
*** Bug 95456 has been marked as a duplicate of this bug. ***
Comment 8 Frederic Parrenin 2015-11-29 11:59:35 UTC
I confirm this problem in debian Jessie using LO 5.0.3.
A common use case is when you create a pdf document and then want to attach it in an email.
Comment 9 Joel Madero 2015-11-29 18:08:51 UTC
Setting priority:

Minor - can slow down but will not prevent high quality work/professional environment;
Low - default for minor bugs.

Probably an easy hack so going to request input from developers.
Comment 10 Robinson Tryon (qubit) 2015-12-14 06:08:41 UTC Comment hidden (obsolete)
Comment 11 blorb 2016-12-10 21:44:04 UTC
Can confirm that I also experience this. It is an irritating impediment to the create .odt, export as .pdf, email .pdf workflow. Thank you!
Comment 12 blorb 2016-12-10 21:45:40 UTC
Should add:

Ubuntu 14.04
"Nautilus" Unity File Manager
LibreOffice 5.2.3.2 20m0(Build:2)
Comment 13 QA Administrators 2018-03-10 03:45:23 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug